# passerelle-imio-liege-lisrue - passerelle connector to Lisrue webservice
# Copyright (C) 2016  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import patterns, include, url
from django.contrib.auth.decorators import login_required

from passerelle.urls_utils import decorated_includes, required, app_enabled

from views import *


public_urlpatterns = patterns('',
    url(r'^(?P<slug>[\w,-]+)/$', SigDetailView.as_view(), name='imio-liege-lisrue-view'),

    url(r'^(?P<slug>[\w,-]+)/voies/$', VoiesView.as_view(), name='imio-liege-lisrue-voies'),
)

management_urlpatterns = patterns('',
    url(r'^add$', SigCreateView.as_view(), name='imio-liege-lisrue-add'),
    url(r'^(?P<slug>[\w,-]+)/edit$', SigUpdateView.as_view(), name='imio-liege-lisrue-edit'),
    url(r'^(?P<slug>[\w,-]+)/delete$', SigDeleteView.as_view(), name='imio-liege-lisrue-delete'),
)

urlpatterns = required(
    app_enabled('passerelle_imio_liege_lisrue'),
    patterns('',
        url(r'^imio-liege-lisrue/', include(public_urlpatterns)),
        url(r'^manage/imio-liege-lisrue/',
            decorated_includes(login_required, include(management_urlpatterns))),
    )
)
